# $Revision: 1.26 $, $Date: 2009/06/01 14:18:16 $
Summary:	PDF manipulating library
Summary(pl.UTF-8):	Biblioteka do obróbki plików PDF
Name:		libcpdf
Version:	2.02r1
Release:	7
License:	Free for non-commercial use
Group:		Libraries
Source0:	http://www.fastio.com/clibpdf202r1.tar.gz
# Source0-md5:	840d78e187ab46fc5700caba9fbb33e5
Source1:	%{name}-examples.Makefile
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-config.patch
URL:		http://www.fastio.com/
BuildRequires:	zlib-devel
#Requires:	ghostscript-fonts-other
#Requires:	ghostscript-fonts-std
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library of ANSI C functions, for creating PDF files directly
via C.

%description -l pl.UTF-8
To jest biblioteka funkcji ANSI C do tworzenia plików PDF bezpośrednio
z C.

%package devel
Summary:	Header files needed for libcpdf development
Summary(pl.UTF-8):	Pliki nagłówkowe do programowania z użyciem libcpdf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel

%description devel
This package includes the header files for developing programs using
libcpdf.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do programowania z
użyciem libcpdf.

%package static
Summary:	Static libraries for libcpdf development
Summary(pl.UTF-8):	Statyczne biblioteki libcpdf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	zlib-devel

%description static
This package includes static libcpdf libraries.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne biblioteki libcpdf.

%prep
%setup -q -n ClibPDF
%patch0 -p0
%patch1 -p1

cp -f %{SOURCE1} examples/Makefile

%build
%{__make} -C source -f Makefile.Linux shlib \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DLinux -fPIC" \
	LDFLAGS="%{rpmldflags}" \
	VERSION="%{version}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_bindir},%{_mandir}/man1}

install source/cpdflib.h $RPM_BUILD_ROOT%{_includedir}
install source/libcpdf.so.*.* $RPM_BUILD_ROOT%{_libdir}
ln -sf $(basename $RPM_BUILD_ROOT%{_libdir}/libcpdf.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libcpdf.so
install source/libcpdf.a $RPM_BUILD_ROOT%{_libdir}

#cp fontmap.lst $RPM_BUILD_ROOT%{_datadir}/ghostscript/fonts

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -rf examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc source/ChangeLog doc/*.txt fonts/README* LICENSE*
%attr(755,root,root) %{_libdir}/libcpdf.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.pdf
%attr(755,root,root) %{_libdir}/libcpdf.so
%{_includedir}/cpdflib.h
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libcpdf.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcpdf.spec,v $
Revision 1.26  2009/06/01 14:18:16  glen
- release 7

Revision 1.25  2009/06/01 14:17:24  glen
- pass CC

Revision 1.24  2008/12/26 02:37:32  adamg
- fixed previous commit msg

Revision 1.23  2008/12/26 01:52:47  adamg
- pass LDFLAGS

Revision 1.22  2008/07/27 22:24:55  arekm
- release 6

Revision 1.21  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.19  2006/08/19 19:52:37  qboosh
- unified

Revision 1.18  2006/08/10 13:49:26  arekm
- rel 5

Revision 1.17  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.16  2004/04/29 13:31:59  adgor
- Strict internal deps

Revision 1.15  2004/04/26 16:38:57  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.14  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.13  2003/05/25 05:49:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/07/20 22:51:32  marcus
- fixed building
- rel.3.

Revision 1.11  2002/07/15 22:51:02  kloczek
- use new %doc.

Revision 1.10  2002/05/01 19:36:53  qboosh
- fixed -devel package: now libcpdf.so is symlink instead of libcpdf copy
- release 2

Revision 1.9  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/12/24 23:10:24  qboosh
- cleanups; Utopia fonts not installed - already in ghostscript-fonts-other
- commented out "Requires: xpdf, ghostscript-fonts*" - library itself
  shouldn't require it

Revision 1.5  2001/12/04 13:43:59  qboosh
- adapterized, pl translations (still NFY)

Revision 1.4  2001/11/18 22:49:04  qboosh
- some fixes (NFY), patches from RH renamed and adapted to PLD

Revision 1.3  2001/10/03 16:42:48  filon
- moved static lib to static subpkg
- using %%{name} macro in requires
- cosmetics

Revision 1.2  2001/07/26 05:08:52  agaran
adapterized

